module KitchenK8s
  # Utility mixin for other classes in this plugin.
  #
  # @since 1.0
  # @api private
  module Helper
    def kube_options
      if defined?(config)
        config
      elsif defined?(options)
        options
      else
        raise 'Something went wrong, please file a bug'
      end
    end

    def kubectl_command(*cmd)
      out = [kube_options[:binary]]
      if kube_options[:context]
        out << '--context'
        out << kube_options[:context]
      end
      out.concat(cmd)
      out
    end
  end
end
